JsonCutDocs
V2 APIEndpointsGeneration

List AI generation models

The image, video, music and sound models per kind, with their credits, modes, formats and lengths; the first model of a kind is the recommended one. Required API key scopes: `resources:read`.

GET
/api/v2/generation/models

Authorization

apiKeyAuth

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/generation/models"
{  "success": true,  "data": {    "models": {      "image": [        {          "id": "openai/gpt-image-2.6/sunburst",          "label": "GPT Image 2.6 Sunburst",          "detail": "Best quality",          "available": true,          "creditsPerOutput": 12        }      ],      "music": [        {          "id": "elevenlabs/music/v2.5",          "label": "Eleven Music 2.5",          "detail": "Songs and instrumentals",          "available": true,          "creditsPerMinute": 40        }      ]    }  }}